(Deprecated) Get available tools for an integrated account
/integrated-account/{id}/tools
Path Parameters
The ID of the integrated account
Query Parameters
Filter tools based on the type of method. Can be one of: list, get, create, update, delete, read, write, custom, or a custom method name.
listgetcreateupdatedeletereadwritecustom
Filter tools based on the tags assigned to specific resources.
Defaults to true (description-gated). Pass false to include tools without a description.
truefalse
Response Body
2 properties
objectA description of what the tool does
List all accounts you have ownership or verified access to. Use the name query parameter to filter by account name.The HTTP method for the tool
listMCP tool name for this method. Resolved as: environment-integration tool_name documentation override,
then integration-level tool_name override, then a programmatic default from getToolName().
Overrides are stored as documentation rows with type: tool_name (max 64 chars, [a-z0-9_]).
list_all_cloudflare_accounts2 properties
object["name"]The resource type for the tool
accounts["ticket","organization"]truto accounts tools '<id>' -o jsonimport Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.integratedAccount.tools('<id>');
console.log(result);curl -X GET 'https://api.truto.one/integrated-account/{id}/tools' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const response = await fetch('https://api.truto.one/integrated-account/{id}/tools', {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/integrated-account/{id}/tools"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
}
response = requests.get(url, headers=headers, params=params)
print(response.json())